Subject: [alpine-aports] [PATCH] main/swatch: upgrade to 3.2.4

From: Sören Tempel <[email-masked]>
Date: Wed, 11 Nov 2015 20:25:30 +0100

---
 main/swatch/APKBUILD | 29 ++++++++++-------------------
 1 file changed, 10 insertions(+), 19 deletions(-)

diff --git a/main/swatch/APKBUILD b/main/swatch/APKBUILD
index 5b61d39..c16ec2a 100644
--- a/main/swatch/APKBUILD
+++ b/main/swatch/APKBUILD
@@ -1,7 +1,8 @@
 # Contributor: Mika Havela <[email-masked]>
 # Maintainer: Francesco Colista <[email-masked]>
 pkgname=swatch
-pkgver=3.2.3
+_realname=swatchdog
+pkgver=3.2.4
 pkgrel=4
 pkgdesc="Logfile monitoring tool"
 url="http://sourceforge.net/projects/swatch/"
@@ -9,19 +10,14 @@ arch="noarch"
 license="GPL"
 depends="perl perl-date-calc perl-date-format perl-date-manip perl-file-tail perl-carp-clan"
 makedepends="perl-dev"
-install=
+install=""
 subpackages="$pkgname-doc"
-source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
+source="$pkgname-$pkgver.tar.gz::http://downloads.sourceforge.net/project/$pkgname/$_realname/$_realname-$pkgver.tar.gz
 	swatch.initd
 	swatch.confd
 	swatchrc"
 
-_builddir="$srcdir"/$pkgname-$pkgver
-
-prepare() {
-	cd "$_builddir"
-}
-
+_builddir="$srcdir"/$_realname-$pkgver
 build() {
 	cd "$_builddir"
 	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
@@ -38,13 +34,8 @@ package() {
 	find "$pkgdir" -name perllocal.pod -delete
 	find "$pkgdir" -name .packlist -delete
 
-
-#echo "pkdir= $pkgdir"
-#echo "srcdir= $srcdir"
-
-	mkdir -p "$pkgdir"/etc/init.d/
-	mkdir -p "$pkgdir"/etc/conf.d/
-	mkdir -p "$pkgdir"/etc/$pkgname/
+	mkdir -p "$pkgdir"/etc/init.d/ "$pkgdir"/etc/conf.d/ \
+		"$pkgdir"/etc/$pkgname/ || return 1
 
 	cp "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
 	cp "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
@@ -53,15 +44,15 @@ package() {
 	chmod 755 "$pkgdir"/etc/init.d/$pkgname
 }
 
-md5sums="1162f1024cf07fc750ed4960d61ac4e8  swatch-3.2.3.tar.gz
+md5sums="df4c20ff7d3f6a46a2efd72a42078011  swatch-3.2.4.tar.gz
 69695f3a4bfb1096c7d66b5cf99f7273  swatch.initd
 a02a10a0266781a1ce16cc3b5e84968c  swatch.confd
 8a92d37f96982030e0283dc7fe706da8  swatchrc"
-sha256sums="e29480993e52f245f3abec079b3103d8e97244dafe754f8c2d37e7b0b3b58077  swatch-3.2.3.tar.gz
+sha256sums="5bb644d3750ee89b9aecab797df66b28b9fd174a5f0f96cd62367af8975b4f63  swatch-3.2.4.tar.gz
 95f077870c694ea099b45722adb820684e33d6edce48643ea23d64d179962310  swatch.initd
 6d538c6c915c14b5820e878876cb2410f782afb8f0a930edd9c941ab4011e9c8  swatch.confd
 8569d090eba3465e3f26705bd5ea738c7b35dabeae77b68f25508aee520cfca6  swatchrc"
-sha512sums="8020fb99b7acfc322b2a80d8fd9669fc97f272c33b19a36ef1be025ffd1a463658e9b0cc5ddbac02b12a68db9e148da53734beb632677ef88337848bbd60e90f  swatch-3.2.3.tar.gz
+sha512sums="4e0a4e3feed00df0f0d04f94cc090e53e71fa9b20d46236ec41d63b98b5733d80a5941b491cffcbb0b655a9c7d2b5c9423ca7ae043346dbe1b05ee6ab24b9489  swatch-3.2.4.tar.gz
 4d274d4875664dee989016be71d8e72583766b88da684a4f0c242ec8d7b213c2a917395ee15cd5d446d2dbbfc9665bb75729e010a8fdcc6ba12985a19354b0ca  swatch.initd
 493f3e54e6472ee349c3d56537d3ad88405936d6551defa802911625e84a9afabc13c4975e2edfe63e723c48cfdfe09b966e807d05ca218b4cd238889b656fde  swatch.confd
 6579b3e998640f571097cddb65c7772f62855605fb38fbeb4e53976d72faacb6bdb90f7392727170e0e523d19ae74f19b30ec5fd0c5fab8c67f64976ee0f2d73  swatchrc"
-- 
2.6.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---